ALAS2-2019-1153


Amazon Linux 2 Security Advisory: ALAS-2019-1153
Advisory Release Date: 2019-01-25 01:04 Pacific
Severity: Low
References: CVE-2018-0734 

Issue Overview:

The OpenSSL DSA signature algorithm has been shown to be vulnerable to a timing side channel attack. An attacker could use variations in the signing algorithm to recover the private key. (CVE-2018-0734 )


Affected Packages:

openssl


Issue Correction:
Run yum update openssl to update your system.

New Packages:
aarch64:
    openssl-1.0.2k-16.amzn2.0.2.aarch64
    openssl-libs-1.0.2k-16.amzn2.0.2.aarch64
    openssl-devel-1.0.2k-16.amzn2.0.2.aarch64
    openssl-static-1.0.2k-16.amzn2.0.2.aarch64
    openssl-perl-1.0.2k-16.amzn2.0.2.aarch64
    openssl-debuginfo-1.0.2k-16.amzn2.0.2.aarch64

i686:
    openssl-1.0.2k-16.amzn2.0.2.i686
    openssl-libs-1.0.2k-16.amzn2.0.2.i686
    openssl-devel-1.0.2k-16.amzn2.0.2.i686
    openssl-static-1.0.2k-16.amzn2.0.2.i686
    openssl-perl-1.0.2k-16.amzn2.0.2.i686
    openssl-debuginfo-1.0.2k-16.amzn2.0.2.i686

src:
    openssl-1.0.2k-16.amzn2.0.2.src

x86_64:
    openssl-1.0.2k-16.amzn2.0.2.x86_64
    openssl-libs-1.0.2k-16.amzn2.0.2.x86_64
    openssl-devel-1.0.2k-16.amzn2.0.2.x86_64
    openssl-static-1.0.2k-16.amzn2.0.2.x86_64
    openssl-perl-1.0.2k-16.amzn2.0.2.x86_64
    openssl-debuginfo-1.0.2k-16.amzn2.0.2.x86_64